// This file was generated by Dashcode from Apple Inc.
// You may edit this file to customize your Dashboard widget.

//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
    setupParts();
}

//
// Function: remove()
// Called when the widget has been removed from the Dashboard
//
function remove()
{
    // Stop any timers to prevent CPU usage
    // Remove any preferences as needed
    // widget.setPreferenceForKey(null, createInstancePreferenceKey("your-key"));
}

//
// Function: hide()
// Called when the widget has been hidden
//
function hide()
{
    // Stop any timers to prevent CPU usage
}

//
// Function: show()
// Called when the widget has been shown
//
function show()
{
    displayContent();
}

//
// Function: sync()
// Called when the widget has been synchronized with .Mac
//
function sync()
{
    // Retrieve any preference values that you need to be synchronized here
    // Use this for an instance key's value:
    // instancePreferenceValue = widget.preferenceForKey(null, createInstancePreferenceKey("your-key"));
    //
    // Or this for global key's value:
    // globalPreferenceValue = widget.preferenceForKey(null, "your-key");
}

//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";
    populateCoda();
    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}

function readUrl(filename)
{
    var req = new XMLHttpRequest();

    url = "Content/" + filename;
    req.open("GET", url ,false);
    req.send(null);
           
    //req.responseText returns a string
    response = req.responseText; 
    return response;
}

function populateCoda() {
    var coda_element = document.getElementById("codatext");
    var coda_content = readUrl("coda.html");
    coda_element.innerHTML = coda_content;
}

function displayAllSections() {
    var displayHTML = "";
    displayHTML = displayHTML + readUrl("setup.html");
    displayHTML = displayHTML + readUrl("adding_deleting.html");        
    displayHTML = displayHTML + readUrl("committing.html");   
    displayHTML = displayHTML + readUrl("sharing.html");           
    displayHTML = displayHTML + readUrl("info.html");    
    displayHTML = displayHTML + readUrl("searching.html");   
    displayHTML = displayHTML + readUrl("branching.html");      
    displayHTML = displayHTML + readUrl("merging.html");
    displayHTML = displayHTML + readUrl("conflicts.html");                   
    displayHTML = displayHTML + readUrl("undoing.html");
    displayHTML = displayHTML + readUrl("stashing.html");     
    displayHTML = displayHTML + readUrl("cleaning.html");       
    displayHTML = displayHTML + readUrl("remotes.html");   
    displayHTML = displayHTML + readUrl("plumbing.html");                                       
    displayHTML = displayHTML + readUrl("configuration.html");
    displayHTML = displayHTML + readUrl("environment.html");    
    document.getElementById('maincontent').innerHTML = displayHTML;
    document.getElementById("scrollArea").object.refresh();
    document.getElementById("scrollArea").object.verticalScrollTo(0,0);    
}

function displayContent(event)
{
    // Insert Code
    var menu = document.getElementById("sectionMenu");
    selectedItem = menu.object.getValue();
    var contentFile = "";
    if (selectedItem == "All") {
        displayAllSections();
    } else { 
        if (selectedItem == "Setup") {
            contentFile = "setup.html";
        } else if (selectedItem == "Configuration") {
            contentFile = "configuration.html";
        } else if (selectedItem == "Info") {
            contentFile = "info.html";
        } else if (selectedItem == "Searching") {
            contentFile = "searching.html";
        } else if (selectedItem == "AddingDeleting") {
            contentFile = "adding_deleting.html";       
        } else if (selectedItem == "Committing") {
            contentFile = "committing.html";                                  
        } else if (selectedItem == "Sharing") {
            contentFile = "sharing.html";
        } else if (selectedItem == "Branching") {
            contentFile = "branching.html";            
        } else if (selectedItem == "Merging") {
            contentFile = "merging.html";    
        } else if (selectedItem == "Conflicts") {
            contentFile = "conflicts.html";
        } else if (selectedItem == "Undoing") {
            contentFile = "undoing.html";  
        } else if (selectedItem == "Cleaning") {
            contentFile = "cleaning.html";              
        } else if (selectedItem == "Plumbing") {
            contentFile = "plumbing.html";
        } else if (selectedItem == "Stashing") {
            contentFile = "stashing.html";   
        } else if (selectedItem == "Remotes") {
            contentFile = "remotes.html";   
        } else if (selectedItem == "EnvironmentVariables") {
            contentFile = "environment.html";                                                                         
        }
        displayHTML = readUrl(contentFile);
        document.getElementById('maincontent').innerHTML = displayHTML;
        document.getElementById("scrollArea").object.refresh();
        document.getElementById("scrollArea").object.verticalScrollTo(0,0);
    }     
}
